Modify Project Costs

Modify Project Costs
Modifies a project cost

Modifies the cost of a project specified by id.

Request
URI
PATCH
https://vcfa-10-162-161-9.vcfd.broadcom.net/project-service/api/projects/{id}/cost
COPY
Path Parameters
string
id
Required

The id of the project.

Query Parameters
string
apiVersion
Optional
Constraints: default: 2019-01-15

The version of the API in yyyy-MM-dd format. For versioning information refer to /project-service/api/about.


Request Body

Project cost

ProjectCost of type(s) application/json
Required
{
    "cost": "number",
    "costSyncTime": "2011-12-03T10:15:30Z",
    "costUnit": "USD",
    "message": "string",
    "code": "string"
}
number
cost
Optional

The cost of project.

string
costSyncTime
Optional

The date as of which project cost is calculated. Timestamp format: YYYY-MM-DDThh:mm:ss.SSSZ

string
costUnit
Optional

The unit of cost of project. This is a 3 letter currency code.

string
message
Optional

The message regarding the project cost.

string
code
Optional

The unique code for the message.

Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with the Project

Returns Project of type(s) */*
{
    "id": "string",
    "name": "my-name",
    "description": "my-description",
    "orgId": "string",
    "administrators": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "members": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "viewers": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "supervisors": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "users": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "auditors": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "advancedUsers": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "constraints": {
        "network": {
            "conditions": [
                {
                    "type": "TAG",
                    "enforcement": "HARD",
                    "occurrence": "MUST_OCCUR",
                    "expression": {
                        "key": "key",
                        "value": "value"
                    }
                }
            ]
        }
    },
    "properties": {
        "myproperty": "enforcement",
        "__projectPlacementPolicy": "SPREAD",
        "__namingTemplate": "my-resource-template",
        "__allowTerraformCloudzoneMapping": "true"
    },
    "cost": {
        "cost": "number",
        "costSyncTime": "2011-12-03T10:15:30Z",
        "costUnit": "USD",
        "message": "string",
        "code": "string"
    },
    "operationTimeout": 0,
    "sharedResources": false
}

403

Forbidden, the user lacks permissions

Operation doesn't return any data structure

404

'Not found' if no project with the provided id

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'